## Guides
* [Getting started with Zulip](/help/getting-started-with-zulip)
* [Setting up your organization](/help/getting-your-organization-started-with-zulip)
* [Streams and topics](/help/about-streams-and-topics)
* [Moderating open organizations](/help/moderating-open-organizations)

# Using Zulip

## Account basics
* [Change your name](/help/change-your-name)
* [Change your email address](/help/change-your-email-address)
* [Edit your profile](/help/edit-your-profile)
* [Change your password](/help/change-your-password)
* [Review your settings](/help/review-your-settings)
* [Change your profile picture](/help/change-your-profile-picture)
* [Change your language](/help/change-your-language)
* [Use 24-hour time](/help/change-the-time-format)
* [Joining an organization](/help/join-a-zulip-organization)
* [Switching between organizations](/help/switching-between-organizations)
* [Logging in](/help/logging-in)
* [Logging out](/help/logging-out)
* [Keyboard shortcuts](/help/keyboard-shortcuts)
* [Deactivate your account](/help/deactivate-your-account)

## Sending messages
* [Open the compose box](/help/open-the-compose-box)
* [Format messages using Markdown](/help/format-your-message-using-markdown)
* [Preview messages before sending](/help/preview-your-message-before-sending)
* [Message drafts](/help/view-and-edit-your-message-drafts)
* [Emoji and emoticons](/help/emoji-and-emoticons)
* [Start a video call](/help/start-a-call)
* [Share and upload files](/help/share-and-upload-files)
* [Enable Enter to send](/help/enable-enter-to-send)
* [Verify a message was sent](/help/verify-your-message-was-successfully-sent)
* [Quote and reply](/help/quote-and-reply)
* [Mention a user or group](/help/mention-a-user-or-group)
* [Edit or delete a message](/help/edit-or-delete-a-message)
* [Message a stream by email](/help/message-a-stream-by-email)

## Reading messages
* [Reading strategies](/help/reading-strategies)
* [View the Markdown source of a message](/help/view-the-markdown-source-of-a-message)
* [View the exact time a message was sent](/help/view-the-exact-time-a-message-was-sent)
* [View and browse images](/help/view-and-browse-images)
* [Collapse a message](/help/collapse-a-message)
* [Star a message](/help/star-a-message)
* [Emoji reactions](/help/emoji-reactions)
* [Marking messages as read](/help/marking-messages-as-read)
* [Link to a message or conversation](/help/link-to-a-message-or-conversation)
* [Advanced search](/help/search-for-messages)
* [View a message's edit history](/help/view-a-messages-edit-history)

## People
* [Status and availability](/help/status-and-availability)
* [View someone's profile](/help/view-someones-profile)
* [Private messages](/help/private-messages)

## Streams & topics
* [About streams and topics](/help/about-streams-and-topics)
* [Browse and subscribe to streams](/help/browse-and-subscribe-to-streams)
* [Create a stream](/help/create-a-stream)
* [Add or remove users from a stream](/help/add-or-remove-users-from-a-stream)
* [Unsubscribe from a stream](/help/unsubscribe-from-a-stream)
* [Pin a stream](/help/pin-a-stream)
* [Change the color of a stream](/help/change-the-color-of-a-stream)
* [Message a stream by email](/help/message-a-stream-by-email)
* [Start a new topic](/help/start-a-new-topic)
* [Change the topic of a message](/help/change-the-topic-of-a-message)
* [Rename a topic](/help/rename-a-topic)
* [Manage inactive streams](/help/manage-inactive-streams)

## Notifications
* [Stream notifications](/help/stream-notifications)
* [PMs, mentions, and alerts](/help/pm-mention-alert-notifications)
* [Mute a stream](/help/mute-a-stream)
* [Mute a topic](/help/mute-a-topic)
* [Alert words](/help/add-an-alert-word)
* [Disable new login emails](/help/disable-new-login-emails)
* [Configure missed message emails](/help/configure-missed-message-emails)
* [Change notification sound](/help/change-notification-sound)
* [Troubleshoot desktop notifications](/help/troubleshooting-desktop-notifications)
* [Test mobile notifications](/help/test-mobile-notifications)

## Tools & customization
* [Bots and integrations](/help/bots-and-integrations)
* [Add a bot or integration](/help/add-a-bot-or-integration)
* [Create a poll](/help/create-a-poll)
* [Night mode](/help/night-mode)
* [Enable emoticon translations](/help/enable-emoticon-translations)
* [Manage your uploaded files](/help/manage-your-uploaded-files)
* [View emoji as text](/help/view-emoji-as-text)
* [Enable full width display](/help/enable-full-width-display)
* [Change your timezone](/help/change-your-timezone)
* [Display the buddy list on narrow screens](/help/move-the-users-list-to-the-left-sidebar)
* [View organization statistics](/help/analytics)
* [Linking to Zulip](/help/linking-to-zulip)
* [Connect through a proxy](/help/connect-through-a-proxy)
* [Add a custom certificate](/help/custom-certificates)

## Apps
* [Desktop installation guides](/help/desktop-app-install-guide)
* [Zulip in a Terminal](/help/zulip-in-a-terminal)

# Zulip administration

## Organization basics
* [Review your organization's settings](/help/review-your-organization-settings)
* [Create your organization profile](/help/create-your-organization-profile)
* [Import from HipChat/Stride](/help/import-from-hipchat)
* [Import from Mattermost](/help/import-from-mattermost)
* [Import from Slack](/help/import-from-slack)
* [Import from Gitter](/help/import-from-gitter)
* [Roles and permissions](/help/roles-and-permissions)
* [Set the default language for new users](/help/change-the-default-language-for-your-organization)
* [Export your organization](/help/export-your-organization)
* [Deactivate your organization](/help/deactivate-your-organization)
* [GDPR Compliance](/help/gdpr-compliance)

## Organization settings
* [Restrict stream creation](/help/configure-who-can-create-streams)
* [Restrict stream invitation](/help/configure-who-can-invite-to-streams)
* [Restrict private messages](/help/restrict-private-messages)
* [Restrict user group management](/help/restrict-user-group-management)
* [Restrict name and email changes](/help/restrict-name-and-email-changes)
* [Restrict profile picture changes](/help/restrict-profile-picture-changes)
* [Change who can add custom emoji](/help/only-allow-admins-to-add-emoji)
* [Block image and link previews](/help/allow-image-link-previews)
* [Disable message edit history](/help/disable-message-edit-history)
* [Manage editing of old messages](/help/configure-message-editing-and-deletion)
* [Hide message content in emails](/help/hide-message-content-in-emails)
* [Community topic edits](/help/community-topic-edits)
* [Weekly digest emails](/help/digest-emails)
* [Disable welcome emails](/help/disable-welcome-emails)
* [Configure notification bot](/help/configure-notification-bot)
* [Require topics in stream messages](/help/require-topics)
* [Add custom emoji](/help/add-custom-emoji)
* [Configure authentication methods](/help/configure-authentication-methods)
* [Add a custom linkification filter](/help/add-a-custom-linkification-filter)
* [Message retention policy](/help/message-retention-policy)
* [SAML authentication](/help/saml-authentication)

## Users & bots
* [Invite new users](/help/invite-new-users)
* [Allow anyone to join](/help/allow-anyone-to-join-without-an-invitation)
* [Add custom profile fields](/help/add-custom-profile-fields)
* [User groups](/help/user-groups)
* [Restrict visibility of email addresses](/help/restrict-visibility-of-email-addresses)
* [Deactivate or reactivate a user](/help/deactivate-or-reactivate-a-user)
* [Deactivate or reactivate a bot](/help/deactivate-or-reactivate-a-bot)
* [Restrict bot creation](/help/restrict-bot-creation)
* [Restrict permissions of new members](/help/restrict-permissions-of-new-members)
* [Change a user's role](/help/change-a-users-role)
* [Change a user's name](/help/change-a-users-name)
* [View all bots in your organization](/help/view-all-bots-in-your-organization)

## Stream management
* [Stream permissions](/help/stream-permissions)
* [Delete or archive a stream](/help/delete-a-stream)
* [Delete a topic](/help/delete-a-topic)
* [Set default streams for new users](/help/set-default-streams-for-new-users)
* [Rename a stream](/help/rename-a-stream)
* [Change a stream's description](/help/change-the-stream-description)
* [Change the privacy of a stream](/help/change-the-privacy-of-a-stream)
* [Add or remove users from a stream](/help/add-or-remove-users-from-a-stream)
* [Stream posting policy](/help/stream-sending-policy)

## Support
* [Contact support](/help/contact-support)
